Bug 66324 - g++ won't compile pwlib from openh323 project
g++ won't compile pwlib from openh323 project
Status: CLOSED WONTFIX
Product: Red Hat Embedded Linux Developer Suite
Classification: Retired
Component: Tools (Show other bugs)
7.2
arm7 Linux
medium Severity medium
: ---
: ---
Assigned To: Rick Moseley
qaorphan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-07 15:43 EDT by Rick Moseley
Modified: 2007-04-18 12:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 15:59:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Moseley 2002-06-07 15:43:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
The 3.1-stdarm-020117 compiler delivered with ELDS will not compile the pwlib
component of the openh323 project.  It tries, but fails without giving much
information on why it fails.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Download openh323 project ( http://www.openh323.org )
2.try to build it
3.
	

Actual Results:  Here are the results the customer reported to me including his
e-mail:

I'm trying to use the arm-linux-gnu-g++ compiler from the latest ELDS beta 
you sent us to cross compile the pwlib (source available at www.openh323.org) 
component from the openh323 project. The compiler seems to be failing, but 
its not clear to me why, the output seems to consist of informational 
messages only but no object file is generated and an error code is returned 
to make. The compiler output is at the bottom of this email, do you have any 
suggestions as to how I can figure out what's wrong?

Thanks,
Clive


[cdavies@uk-proclin7 pwlib]$ makearm
set -e; make -C src/ptlib/unix opt; make -C tools/asnparser opt;
make[1]: Entering directory `/home/cdavies/pwlib/src/ptlib/unix'
/opt/redhat/gnupro/stdarm-020117/H-i686-pc-linux-gnulibc2.2/bin/arm-linux-gnu-g++ 
-Wall -DP_LINUX -D_REENTRANT -DP_HAS_SEMAPHORES -fPIC -DP_SSL 
-I/usr/local/ssl/include -I/usr/local/ssl/crypto -DP_EXPAT -DP_PTHREADS 
-DPBYTE_ORDER=PLITTLE_ENDIAN -I/home/cdavies/pwlib/include/ptlib/unix 
-I/home/cdavies/pwlib/include -O3 -DNDEBUG  -c ../../ptclib/asner.cxx -o 
/home/cdavies/pwlib/lib/obj_linux_x86_r/asner.o
In file included from /home/cdavies/pwlib/include/ptlib.h:274,
                 from ../../ptclib/asner.cxx:214:
/home/cdavies/pwlib/include/ptlib/unix/ptlib/ptlib.inl: In member function
   `BOOL PDirectory::IsRoot() const':
/home/cdavies/pwlib/include/ptlib/unix/ptlib/ptlib.inl:89: choosing
   `P_PCharArray_PTemplate_Base_Type PCharArray_PTemplate::operator[](unsigned
   int) const' over `operator[]'
/home/cdavies/pwlib/include/ptlib/unix/ptlib/ptlib.inl:89:   because worst
   conversion for the former is better than worst conversion for the latter
/home/cdavies/pwlib/include/ptlib/unix/ptlib/ptlib.inl:89: choosing
   `P_PCharArray_PTemplate_Base_Type PCharArray_PTemplate::operator[](unsigned
   int) const' over `operator[]'
/home/cdavies/pwlib/include/ptlib/unix/ptlib/ptlib.inl:89:   because worst
   conversion for the former is better than worst conversion for the latter
/home/cdavies/pwlib/include/ptlib/unix/ptlib/ptlib.inl:89: choosing
   `P_PCharArray_PTemplate_Base_Type PCharArray_PTemplate::operator[](unsigned
   int) const' over `operator[]'
/home/cdavies/pwlib/include/ptlib/unix/ptlib/ptlib.inl:89:   because worst
   conversion for the former is better than worst conversion for the latter
/home/cdavies/pwlib/include/ptlib/unix/ptlib/ptlib.inl:89: choosing
   `P_PCharArray_PTemplate_Base_Type PCharArray_PTemplate::operator[](unsigned
   int) const' over `operator[]'
/home/cdavies/pwlib/include/ptlib/unix/ptlib/ptlib.inl:89:   because worst
   conversion for the former is better than worst conversion for the latter
../../ptclib/asner.cxx: In member function `BOOL
   PASN_ObjectId::CommonDecode(PASN_Stream&, unsigned int)':
../../ptclib/asner.cxx:1204: choosing `P_PUnsignedArray_PTemplate_Base_Type&
   PUnsignedArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:1204:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:1206: choosing `P_PUnsignedArray_PTemplate_Base_Type&
   PUnsignedArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:1206:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:1207: choosing `P_PUnsignedArray_PTemplate_Base_Type&
   PUnsignedArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:1207:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:1210: choosing `P_PUnsignedArray_PTemplate_Base_Type&
   PUnsignedArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:1210:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:1211: choosing `P_PUnsignedArray_PTemplate_Base_Type&
   PUnsignedArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:1211:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:1214: choosing `P_PUnsignedArray_PTemplate_Base_Type&
   PUnsignedArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:1214:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:1215: choosing `P_PUnsignedArray_PTemplate_Base_Type&
   PUnsignedArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:1215:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx: In member function `BOOL
   PASN_BitString::DecodePER(PPER_Stream&)':
../../ptclib/asner.cxx:1547: choosing `P_PBYTEArray_PTemplate_Base_Type&
   PBYTEArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:1547:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:1553: choosing `P_PBYTEArray_PTemplate_Base_Type&
   PBYTEArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:1553:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:1558:choosing `P_PBYTEArray_PTemplate_Base_Type&
   PBYTEArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:1558:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx: In member function `void
   PASN_BitString::EncodePER(PPER_Stream&) const':
../../ptclib/asner.cxx:1577: choosing `P_PBYTEArray_PTemplate_Base_Type
   PBYTEArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:1577:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:1579: choosing `P_PBYTEArray_PTemplate_Base_Type
   PBYTEArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:1579:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:1580: choosing `P_PBYTEArray_PTemplate_Base_Type
   PBYTEArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:1580:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx: In member function `BOOL
   PASN_OctetString::DecodePER(PPER_Stream&)':
../../ptclib/asner.cxx:1844: choosing `P_PBYTEArray_PTemplate_Base_Type&
   PBYTEArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:1844:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:1850: choosing `P_PBYTEArray_PTemplate_Base_Type&
   PBYTEArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:1850:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:1853: choosing `P_PBYTEArray_PTemplate_Base_Type&
   PBYTEArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:1853:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx: In member function `void
   PASN_OctetString::EncodePER(PPER_Stream&) const':
../../ptclib/asner.cxx:1876: choosing `P_PBYTEArray_PTemplate_Base_Type
   PBYTEArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:1876:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:1880: choosing `P_PBYTEArray_PTemplate_Base_Type
   PBYTEArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:1880:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:1881: choosing `P_PBYTEArray_PTemplate_Base_Type
   PBYTEArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:1881:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx: In member function `PASN_ConstrainedString&
   PASN_ConstrainedString::operator=(const char*)':
../../ptclib/asner.cxx:1970: choosing `P_PCharArray_PTemplate_Base_Type&
   PCharArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:1970:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx: In member function `BOOL
   PASN_ConstrainedString::DecodePER(PPER_Stream&)':
../../ptclib/asner.cxx:2090: choosing `P_PCharArray_PTemplate_Base_Type&
   PCharArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:2090:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:2090: choosing `P_PCharArray_PTemplate_Base_Type&
   PCharArray_PTemplate::operator[](unsigned int)' over `operator[]'
../../ptclib/asner.cxx:2090:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx: In member function `PTime
   PASN_GeneralisedTime::GetValue() const':
../../ptclib/asner.cxx:2656: choosing `P_PCharArray_PTemplate_Base_Type
   PCharArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:2656:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:2656: choosing `P_PCharArray_PTemplate_Base_Type
   PCharArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:2656:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:2658: choosing `P_PCharArray_PTemplate_Base_Type
   PCharArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:2658:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:2658: choosing `P_PCharArray_PTemplate_Base_Type
   PCharArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:2658:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:2662: choosing `P_PCharArray_PTemplate_Base_Type
   PCharArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:2662:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:2662: choosing `P_PCharArray_PTemplate_Base_Type
   PCharArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:2662:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:2668: choosing `P_PCharArray_PTemplate_Base_Type
   PCharArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:2668:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:2668: choosing `P_PCharArray_PTemplate_Base_Type
   PCharArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:2668:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx: In member function `PTime
   PASN_UniversalTime::GetValue() const':
../../ptclib/asner.cxx:2707: choosing `P_PCharArray_PTemplate_Base_Type
   PCharArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:2707:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:2707: choosing `P_PCharArray_PTemplate_Base_Type
   PCharArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:2707:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:2713: choosing `P_PCharArray_PTemplate_Base_Type
   PCharArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:2713:   because worst conversion for the former is
   better than worst conversion for the latter
../../ptclib/asner.cxx:2713: choosing `P_PCharArray_PTemplate_Base_Type
   PCharArray_PTemplate::operator[](unsigned int) const' over `operator[]'
../../ptclib/asner.cxx:2713:   because worst conversion for the former is
   better than worst conversion for the latter
make[1]: *** [/home/cdavies/pwlib/lib/obj_linux_x86_r/asner.o] Error 1
make[1]: Leaving directory `/home/cdavies/pwlib/src/ptlib/unix'
make: *** [opt] Error 2
[cdavies@uk-proclin7 pwlib]$


Expected Results:  openh232 should successfully compile

Additional info:
Comment 1 Rick Moseley 2004-04-05 15:59:05 EDT
This bug was written against a toolchain used in ELDS, a product that
has been EOL'ed for almost 2 years.

Note You need to log in before you can comment on or make changes to this bug.